%define libname %mklibname xres 1
%define develname %mklibname xres -d
%define staticname %mklibname xres -s -d

Name: libxres
Summary:  X Resource Information Extension Library
Version: 1.2.2
Release: %mkrel 2
Group: Development/X11
License: MIT
URL: http://xorg.freedesktop.org
Source0: http://xorg.freedesktop.org/releases/individual/lib/libXres-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: libx11-devel >= 1.0.0
BuildRequires: libxext-devel >= 1.0.0
BuildRequires: x11-proto-devel >= 1.0.0
BuildRequires: x11-util-macros >= 1.0.1
Obsoletes: 	%{name} < %version

%description
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{libname}
Summary:  X Resource Information Extension Library
Group: Development/X11
Conflicts: libxorg-x11 < 7.0
Provides: %{name} = %{version}

%description -n %{libname}
X Resource Information Extension Library

#-----------------------------------------------------------

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/X11

Requires: %{libname} = %{version}-%{release}
Requires: x11-proto-devel >= 1.0.0
Provides: libxres-devel = %{version}-%{release}
Provides: libxres1-devel = %{version}-%{release}
Obsoletes: %{mklibname xres 1 -d}

Conflicts: libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}

%pre -n %{develname}
if [ -h %{_includedir}/X11 ]; then
	rm -f %{_includedir}/X11
fi

%files -n %{develname}
%defattr(-,root,root)
%{_libdir}/libXRes.so
%{_libdir}/pkgconfig/xres.pc
%{_includedir}/X11/extensions/XRes.h
%{_mandir}/man3/XRes*

#-----------------------------------------------------------

%package -n %{staticname}
Summary: Static development files for %{name}
Group: Development/X11
Requires: %{develname} = %{version}-%{release}
Provides: libxres-static-devel = %{version}-%{release}
Provides: libxres1-static-devel = %{version}-%{release}
Obsoletes: %{mklibname xres 1 -s -d}

Conflicts: libxorg-x11-static-devel < 7.0

%description -n %{staticname}
Static development files for %{name}

%files -n %{staticname}
%defattr(-,root,root)
%{_libdir}/libXRes.a

#-----------------------------------------------------------

%prep
%setup -q -n libXres-%{version}

%build
%configure2_5x	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}

%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libXRes.so.1
%{_libdir}/libXRes.so.1.0.0


%changelog
* Wed Aug 02 2023 tex - 1.2.2-2pclos2023
- rebuild against updates

* Mon Dec 05 2022 tex - 1.2.2-1pclos2022
- new version

* Wed Jan 26 2022 tex - 1.2.1-2pclos2022
- rebuild against updates

* Sun Aug 08 2021 tex - 1.2.1-1pclos2021
- new version

* Thu Jun 24 2021 tex - 1.2.0-4pclos2021
- rebuild against updates

* Sun Mar 31 2019 tex - 1.2.0-3pclos2019
- rebuild against updates

* Thu Mar 21 2019 tex - 1.2.0-2pclos2019
- rebuild against updates

* Sun Nov 05 2017 bb2 <bb2> - 1.2.0-1pclos2017
- new version

* Sun Mar 26 2017 bb2 <bb2> - 1.0.7-3.1pclos2017
- rebuilt

